docs

# SendPoll

sealed class SendPoll : SendMessageRequest < ContentMessage < PollContent >> , ReplyingMarkupSendMessageRequest < ContentMessage < PollContent >>
Content copied to clipboard

## Functions

method
Link copied to clipboard
open override fun method (): String
Content copied to clipboard

## Properties

allowSendingWithoutReply
Link copied to clipboard
abstract val allowSendingWithoutReply : Boolean ?
Content copied to clipboard
chatId
Link copied to clipboard
abstract override val chatId : ChatIdentifier
Content copied to clipboard
closeInfo
Link copied to clipboard
open val closeInfo : ScheduledCloseInfo ?
Content copied to clipboard
disableNotification
Link copied to clipboard
abstract val disableNotification : Boolean
Content copied to clipboard
isAnonymous
Link copied to clipboard
abstract val isAnonymous : Boolean
Content copied to clipboard
isClosed
Link copied to clipboard
abstract val isClosed : Boolean
Content copied to clipboard
options
Link copied to clipboard
abstract val options : List < String >
Content copied to clipboard
protectContent
Link copied to clipboard
abstract val protectContent : Boolean
Content copied to clipboard
question
Link copied to clipboard
abstract val question : String
Content copied to clipboard
replyMarkup
Link copied to clipboard
abstract val replyMarkup : KeyboardMarkup ?
Content copied to clipboard
replyToMessageId
Link copied to clipboard
abstract val replyToMessageId : MessageIdentifier ?
Content copied to clipboard
requestSerializer
Link copied to clipboard
abstract val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
open override val resultDeserializer : DeserializationStrategy< ContentMessage < PollContent >>
Content copied to clipboard
type
Link copied to clipboard
abstract val type : String
Content copied to clipboard

## Inheritors

SendRegularPoll
Link copied to clipboard
SendQuizPoll
Link copied to clipboard